curl --request POST \
--url https://app.lt.cryptoprocessing.com/api/v2/currencies/list \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '{}'import requests
url = "https://app.lt.cryptoprocessing.com/api/v2/currencies/list"
payload = {}
headers = {
"X-Processing-Signature": "<x-processing-signature>",
"X-Processing-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Processing-Signature': '<x-processing-signature>',
'X-Processing-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://app.lt.cryptoprocessing.com/api/v2/currencies/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"type": "crypto",
"currency": "BTC",
"minimum_amount": "0.00010000",
"minimum_withdrawal_amount": "0.00020000",
"deposit_confirmations": 1,
"deposit_fee_percent": "0.000700",
"withdrawal_fee_percent": "0.010000",
"precision": 8
},
{
"id": 5,
"type": "crypto",
"currency": "ETH",
"minimum_amount": "0.00200000",
"minimum_withdrawal_amount": "0.00200000",
"deposit_confirmations": 10,
"deposit_fee_percent": "0.010000",
"withdrawal_fee_percent": "0.000000",
"precision": 8
},
{
"id": 87,
"type": "crypto",
"currency": "USDC",
"minimum_amount": "5.00000000",
"minimum_withdrawal_amount": "5.00000000",
"deposit_confirmations": 10,
"deposit_fee_percent": "0.010000",
"withdrawal_fee_percent": "0.000000",
"precision": 8
}
]
}List supported currencies
Get a list of available currencies, minimum deposit amounts, and deposit and withdrawal fees.
Headers
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Body
The Content-Type: application/json header must be specified even though the
request body has no fields.
This endpoint does not accept any request parameters, but you must still send
an empty JSON object ({}) in the request body.
Response
OK
Hide child attributes
Hide child attributes
Currency ID.
Currency type (crypto or fiat).
crypto, fiat Currency code.
The minimum deposit amount for this currency.
The minimum withdrawal amount for this currency.
The number of confirmations required before a deposit is credited.
For some cryptocurrencies, smaller amount deposits may require less confirmations than returned by the API before the funds are credited. See Confirmations and limits for the number of confirmations required in such cases.
The fee that is charged for deposits in this currency, in percentage of the deposit amount.
The fee that is charged for withdrawals in this currency, in percentage of the withdrawal amount.
The number of decimal places.
Was this page helpful?